Package classycle.ant

# Class DependencyCheckingTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
classycle.ant.ClassycleTask
classycle.ant.DependencyCheckingTask

All Implemented Interfaces:
  `Cloneable`

public class DependencyCheckingTask extends ClassycleTask
Ant Task for checking class dependencies.

Attribute | Description | Required
--- | --- | ---
includingClasses | Comma or space separated list of wild-card patterns of fully-qualified class name which are included in the analysis. Only '*' are recognized as wild-card character. | No. By default all classes defined in the file set are included.
excludingClasses | Comma or space separated list of wild-card patterns of fully-qualified class name which are excluded from the analysis. Only '*' are recognized as wild-card character. | No. By default no class defined in the file set is excluded.
mergeInnerClasses | If `true` all class vertices are merged with the vertices of the corresponding inner classes. | No. Default is `false`.

reflectionPattern

Comma or space separated list of wild-card patterns of fully-qualified class name. Only '*' are recognized as wild-card character.

If in the code of a class an ordinary string constant matches one of these patterns and if this string constant has a valid syntax for a fully-qualified class name this constant will be treated as a class reference.

No. By default ordinary string constants are not treated as class references.

definitionFile | Path of the dependency definition file. It is either absolute or relative to the base directory. | No. By default the dependency definition commands are embedded in the ant task.
failOnUnwantedDependencies | If `true` the task will fail if an unwanted dependency is found. | No. Default value is `false`.
reportFile | Path of the report file. It is either absolute or relative to the base directory. | No. By default the result is written onto the console.
resultRenderer | Fully-qualified class name of a `ResultRenderer`. | No. By default `DefaultResultRenderer` is used.

Author:
  Franz-Josef Elmer

## Field Summary

### Fields inherited from class classycle.ant.ClassycleTask

`_reportFile`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`DependencyCheckingTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addText(String text)`
`void`
`execute()`
`void`
`setDefinitionFile(File definitionFile)`
`void`
`setFailOnUnwantedDependencies(boolean failOnUnwantedDependencies)`
`void`
`setResultRenderer(String resultRenderer)`

### Methods inherited from class classycle.ant.ClassycleTask

`add, getClassFileNames, getPattern, getReflectionPattern, isMergeInnerClasses, setExcludingClasses, setIncludingClasses, setMergeInnerClasses, setReflectionPattern, setReportFile`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyCheckingTask

public DependencyCheckingTask()

## Method Details

### setFailOnUnwantedDependencies

public void setFailOnUnwantedDependencies(boolean failOnUnwantedDependencies)

### setDefinitionFile

public void setDefinitionFile(File definitionFile)

### setResultRenderer

public void setResultRenderer(String resultRenderer)

### addText

public void addText(String text)

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `ClassycleTask`
Throws:
  `org.apache.tools.ant.BuildException`